Upsert Combo Side Group Item Prices
post
/config/sim/v2/menuItems/comboSideGroups/upsertSideGroupItemPrices
Updates provided fields if sequenceNum is specified in the request body, else inserts a new combo side group item price.
Request
Supported Media Types
- application/json
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Upsert Request body
Root Schema : schema
Type:
Show Source
object-
activeOnLevel:
integer
The main menu level on which the price is active. Setting it to 0 indicates the prices is active on all levelsExample:
0 -
comboMealGroupId(required):
integer
Combo Meal Group IdExample:
1 -
comboMealGroupItemObjNum(required):
integer
Object number of the menu item master associated with the combo group itemExample:
1 -
effectivityGroupObjNum:
integer
Object number of the effectivity group associated with the priceExample:
1 -
hierUnitId(required):
integer
Unique reference of the hierarchy unit where price is defined.Example:
2 -
prepcost:
number
The preparation cost of the combo group side items.Example:
0.89 -
price:
number
The default side item price to use for the combo group items. You can override the price for individual combo group items by setting a price for those itemsExample:
1.23 -
sequenceNum:
integer
Sequence number of the price. Required to update an existing price.Example:
1
Response
Supported Media Types
- application/json
200 Response
Combo Group Item Price Updated.
201 Response
Combo Group Item Price Added.